=== debian/control ===
Source: diffoscope
Section: devel
Priority: optional
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 abootimg <!nocheck>,
 apksigner <!nocheck>,
 apktool [!ppc64el !s390x] <!nocheck>,
 bash-completion,
 binutils-multiarch <!nocheck>,
 black <!nocheck>,
 caca-utils <!nocheck>,
 colord <!nocheck>,
 db-util <!nocheck>,
 debhelper-compat (= 13),
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 device-tree-compiler (>= 1.4.2) <!nocheck>,
 dh-python (>= 2.20160818~),
 docx2txt <!nocheck>,
 dpkg-dev (>= 1.17.14),
 e2fsprogs <!nocheck>,
 enjarify <!nocheck>,
 ffmpeg <!nocheck>,
 flake8 <!nocheck>,
 fontforge-extras <!nocheck>,
 fp-utils [!ppc64el !s390x] <!nocheck>,
 ghc <!nocheck>,
 ghostscript <!nocheck>,
 giflib-tools <!nocheck>,
 gnumeric <!nocheck>,
 gnupg-utils <!nocheck>,
 hdf5-tools <!nocheck>,
 help2man,
 imagemagick <!nocheck>,
 jsbeautifier <!nocheck>,
 libarchive-tools <!nocheck>,
 libjs-jquery <!nocheck>,
 libjs-jquery-hotkeys <!nocheck>,
 libjs-jquery-isonscreen <!nocheck>,
 libjs-jquery-tablesorter <!nocheck>,
 libjs-jquery-throttle-debounce <!nocheck>,
 linux-image-amd64 [amd64] <!nocheck> | linux-image-generic [amd64] <!nocheck>,
 llvm <!nocheck>,
 lz4 <!nocheck> | liblz4-tool <!nocheck>,
 mono-utils <!nocheck>,
 mplayer <!nocheck>,
 ocaml-nox <!nocheck>,
 odt2txt <!nocheck>,
 oggvideotools [!s390x] <!nocheck>,
 openssh-client <!nocheck>,
 openssl <!nocheck>,
 pgpdump <!nocheck>,
 poppler-utils <!nocheck>,
 procyon-decompiler <!nocheck>,
 python3-all,
 python3-argcomplete,
 python3-binwalk <!nocheck>,
 python3-debian <!nocheck>,
 python3-distro <!nocheck>,
 python3-docutils,
 python3-guestfs <!nocheck>,
 python3-h5py <!nocheck>,
 python3-jsondiff <!nocheck>,
 python3-libarchive-c,
 python3-magic,
 python3-pdfminer <!nocheck>,
 python3-progressbar <!nocheck>,
 python3-pypdf2 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pyxattr <!nocheck>,
 python3-rpm <!nocheck>,
 python3-setuptools,
 python3-tlsh (>= 3.4.1) <!nocheck>,
 r-base-core <!nocheck>,
 rpm2cpio <!nocheck>,
 sng <!nocheck>,
 sqlite3 <!nocheck>,
 squashfs-tools <!nocheck>,
 tcpdump <!nocheck>,
 unzip <!nocheck>,
 wabt <!nocheck>,
 xmlbeans <!nocheck>,
 xxd <!nocheck> | vim-common <!nocheck>,
 zstd <!nocheck>,
Build-Conflicts:
 graphicsmagick-imagemagick-compat,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://diffoscope.org
Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
Vcs-Browser: https://salsa.debian.org/reproducible-builds/diffoscope

Package: diffoscope
Architecture: all
Suggests:
 libjs-jquery,
Depends:
 python3-distutils | libpython3.6-stdlib (<< 3.6.5~rc1-2),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${diffoscope:Recommends},
 ${python3:Recommends},
Description: in-depth comparison of files, archives, and directories
 diffoscope will try to get to the bottom of what makes files or directories
 different. It will recursively unpack archives of many kinds and transform
 various binary formats into more human readable form to compare them. It can
 compare two tarballs, ISO images, or PDF just as easily. The differences can
 be shown in a text or HTML report.
 .
 ${diffoscope:Description}
 .
 diffoscope is developed as part of the “reproducible builds” project.
