## diffoscope 152~bpo10+1

=== debian/changelog ===
diffoscope (152~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Jul 2020 11:47:32 +0200

diffoscope (152) unstable; urgency=medium

  [ Chris Lamb ]

  * Bug fixes:

    - Don't require zipnote(1) to determine differences in a .zip file as we
      can use libarchive directly.

  Reporting improvements:

    - Don't emit "javap not found in path" if it is available in the path but
      it did not result in any actual difference.
    - Fix "... not available in path" messages when looking for Java
      decompilers; we were using the Python class name (eg. "<class
      'diffoscope.comparators.java.Javap'>") over the actual command we looked
      for (eg. "javap").

  * Code improvements:

    - Replace some simple usages of str.format with f-strings.
    - Tidy inline imports in diffoscope.logging.
    - In the RData comparator, always explicitly return a None value in the
      failure cases as we return a non-None value in the "success" one.

  [ Jean-Romain Garnier ]
  * Improve output of side-by-side diffs, detecting added lines better.
    (MR: reproducible-builds/diffoscope!64)
  * Allow passing file with list of arguments to ArgumentParser (eg.
    "diffoscope @args.txt"). (MR: reproducible-builds/diffoscope!62)

 -- Chris Lamb <lamby@debian.org>  Sat, 18 Jul 2020 11:00:13 +0100

diffoscope (151) unstable; urgency=medium

  [ Chris Lamb]

  * Improvements and bug fixes:

    - Pass the absolute path when extracting members from SquashFS images as we
      run the command with our working directory set to the temporary
      directory. (Closes: #964365, reproducible-builds/diffoscope#189)
    - Increase the minimum length of the output from strings(1) to 8 characters
      to avoid unnecessary diff noise. (Re. reproducible-builds/diffoscope#148)

  * Logging improvements:

    - Fix the compare_files message when the file does not have a literal name.
    - Reduce potential log noise by truncating the has_some_content messages.

  * Codebase changes:

    - Clarify use of a "null" diff in order to remember an exit code.
    - Don't alias a variable when don't end up it; use "_" instead.
    - Use a  "NullChanges" file to represent missing data in the Debian package
      comparator.
    - Update some miscellaneous terms.

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Jul 2020 10:52:56 +0100

diffoscope (150) unstable; urgency=medium

  [ Chris Lamb ]
  * Don't crash when listing entries in archives if they don't have a listed
    size (such as hardlinks in .ISO files).
    (Closes: reproducible-builds/diffoscope#188)
  * Dump PE32+ executables (including EFI applications) using objdump.
    (Closes: reproducible-builds/diffoscope#181)
  * Tidy detection of JSON files due to missing call to File.recognizes that
    checks against the output of file(1) which was also causing us to attempt
    to parse almost every file using json.loads. (Whoops.)
  * Drop accidentally-duplicated copy of the new --diff-mask tests.
  * Logging improvements:
    - Split out formatting of class names into a common method.
    - Clarify that we are generating presenter formats in the opening logs.

  [ Jean-Romain Garnier ]
  * Remove objdjump(1) offsets before instructions to reduce diff noise.
    (Closes: reproducible-builds/diffoscope!57)

 -- Chris Lamb <lamby@debian.org>  Fri, 03 Jul 2020 11:04:46 +0100
