## diffoscope 154~bpo10+1

=== debian/changelog ===
diffoscope (154~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 05 Aug 2020 14:52:12 +0200

diffoscope (154) unstable; urgency=medium

  [ Chris Lamb ]

  * Add support for F2FS filesystems.
    (Closes: reproducible-builds/diffoscope#207)
  * Allow "--profile" as a synonym for "--profile=-".
  * Add an add_comment helper method so don't mess with our _comments list
    directly.
  * Add missing bullet point in a previous changelog entry.
  * Use "human-readable" over unhyphenated version.
  * Add a bit more debugging around launching guestfs.
  * Profile the launch of guestfs filesystems.
  * Correct adding a comment when we cannot extract a filesystem due to missing
    guestfs module.

 -- Chris Lamb <lamby@debian.org>  Fri, 31 Jul 2020 10:26:15 +0100

diffoscope (153) unstable; urgency=medium

  [ Chris Lamb ]

  * Drop some legacy argument styles; --exclude-directory-metadata and
    --no-exclude-directory-metadata have been replaced with
    --exclude-directory-metadata={yes,no}.

  * Code improvements:

    - Make it easier to navigate the main.py entry point.
    - Use a relative import for get_temporary_directory in diffoscope.diff.
    - Rename bail_if_non_existing to exit_if_paths_do_not_exist.
    - Rewrite exit_if_paths_do_not_exist to not check files multiple times.

  * Documentation improvements:

    - CONTRIBUTING.md:

      - Add a quick note about adding/suggesting new options.
      - Update and expand the release process documentation.
      - Add a reminder to regenerate debian/tests/control.

    - README.rst:

      - Correct URL to build job on Jenkins.
      - Clarify and correct contributing info to point to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Fri, 24 Jul 2020 12:03:51 +0100
