=== debian/control ===
--- 
+++ 
@@ -110,7 +110,7 @@
 Description: in-depth comparison of files, archives, and directories
  diffoscope will try to get to the bottom of what makes files or directories
  different. It will recursively unpack archives of many kinds and transform
- various binary formats into more human readable form to compare them. It can
+ various binary formats into more human-readable form to compare them. It can
  compare two tarballs, ISO images, or PDF just as easily. The differences can
  be shown in a text or HTML report.
  .
