## diffoscope 160~bpo10+1

=== debian/changelog ===
diffoscope (160~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Sep 2020 18:48:33 +0200

diffoscope (160) unstable; urgency=medium

  * Check that pgpdump is actually installed before attempting to run it.
    Thanks to Gianfranco Costamagna (locutusofborg). (Closes: #969753)
  * Add some documentation for the EXTERNAL_TOOLS dictionary.
  * Ensure we check FALLBACK_FILE_EXTENSION_SUFFIX, otherwise we run pgpdump
    against all files that are recognised by file(1) as "data".

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Sep 2020 10:08:38 +0100

diffoscope (159) unstable; urgency=medium

  [ Chris Lamb ]
  * Show "ordering differences only" in strings(1) output.
    (Closes: reproducible-builds/diffoscope#216)
  * Don't alias output from "os.path.splitext" to variables that we do not end
    up using.
  * Don't raise exceptions when cleaning up after a guestfs cleanup failure.

  [ Jean-Romain Garnier ]
  * Make "Command" subclass a new generic Operation class.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Sep 2020 11:12:52 +0100

diffoscope (158) unstable; urgency=medium

  * Improve PGP support:
    - Support extracting of files within PGP signed data.
      (Closes: reproducible-builds/diffoscope#214)
    - pgpdump(1) can successfully parse some unrelated, non-PGP binary files,
      so check that the parsed output contains something remotely sensible
      before identifying it as a PGP file.
  * Don't use Python's repr(...)-style output in "Calling external command"
    logging output.
  * Correct a typo of "output" in an internal comment.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Aug 2020 11:53:10 +0100

diffoscope (157) unstable; urgency=medium

  [ Chris Lamb ]

  * Try obsensibly "data" files named .pgp against pgpdump to determine whether
    they are PGP files. (Closes: reproducible-builds/diffoscope#211)
  * Don't raise an exception when we encounter XML files with "<!ENTITY>"
    declarations inside the DTD, or when a DTD or entity references an external
    resource. (Closes: reproducible-builds/diffoscope#212)
  * Temporarily drop gnumeric from Build-Depends as it has been removed from
    testing due to Python 2.x deprecation. (Closes: #968742)
  * Codebase changes:
    - Add support for multiple file extension matching; we previously supported
      only a single extension to match.
    - Move generation of debian/tests/control.tmp to an external script.
    - Move to our assert_diff helper entirely in the PGP tests.
    - Drop some unnecessary control flow, unnecessary dictionary comprehensions
      and some unused imports found via pylint.
  * Include the filename in the "... not identified by any comparator"
    logging message.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Aug 2020 12:24:25 +0100

diffoscope (156) unstable; urgency=medium

  [ Chris Lamb ]
  * Update PPU tests for compatibility with Free Pascal versions 3.2.0 or
    greater. (Closes: #968124)
  * Emit a debug-level logging message when our ppudump(1) version does not
    match file header.
  * Add and use an assert_diff helper that loads and compares a fixture output
    to avoid a bunch of test boilerplate.

  [ Frazer Clews ]
  * Apply some pylint suggestions to the codebase.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Aug 2020 10:04:26 +0100

diffoscope (155) unstable; urgency=medium

  [ Chris Lamb ]
  * Bump Python requirement from 3.6 to 3.7 - most distributions are either
    shipping3.5 or 3.7, so supporting 3.6 is not somewhat unnecessary and also
    more difficult to test locally.
  * Improvements to setup.py:
    - Apply the Black source code reformatter.
    - Add some URLs for the site of PyPI.org.
    - Update "author" and author email.
  * Explicitly support Python 3.8.

  [ Frazer Clews ]
  * Move away from the deprecated logger.warn method logger.warning.

  [ Mattia Rizzolo ]
  * Document ("classify") on PyPI that this project works with Python 3.8.

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Aug 2020 12:09:50 +0100
