## diffoscope 161~bpo10+1

=== debian/changelog ===
diffoscope (161~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 29 Oct 2020 11:29:04 +0100

diffoscope (161) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix failing testsuite: (Closes: #972518)
    - Update testsuite to support OCaml 4.11.1. (Closes: #972518)
    - Reapply Black and bump minimum version to 20.8b1.
  * Move the OCaml tests to the assert_diff helper.

  [ Jean-Romain Garnier ]
  * Add support for radare2 as a disassembler.

  [ Paul Spooren ]
  * Automatically deploy Docker images in the continuous integration pipeline.

 -- Chris Lamb <lamby@debian.org>  Tue, 20 Oct 2020 15:52:28 +0100
