=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-SHELL := /bin/bash  # for the <(echo …) below, this was the easiest way.
+SHELL := /bin/bash  # for the <(echo …) below, this was easiest way.
 PY_VERSION := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )
 CHECK_VERSION := $(shell grep '^$(PY_VERSION)[^0-9].*$$' <(echo $(DEB_VERSION)))
 
@@ -22,8 +22,7 @@
 export PYBUILD_TEST_ARGS = -vv -r sxX -l --cov=diffoscope --cov-report=term-missing --cov-report=html
 export PYBUILD_BEFORE_TEST = flake8 --config=/dev/null --select=F821
 export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
-# the /debian/ one is required in buster-backports - unclear what creates that and why it's not present in bullseye
-export PYBUILD_AFTER_INSTALL = rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage' '{destdir}/{install_dir}/debian'
+export PYBUILD_AFTER_INSTALL = rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'
 
 ifneq ($(JENKINS_EXPORTS_DIR),)
   export PYBUILD_BEFORE_TEST += && mkdir -pv $(JENKINS_EXPORTS_DIR)/test-results
@@ -40,7 +39,8 @@
 debian/diffoscope.bash-completion:
 	register-python-argcomplete3 diffoscope > $@
 
-execute_after_dh_auto_build: debian/diffoscope.bash-completion
+override_dh_auto_build: debian/diffoscope.bash-completion
+	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc
 
 override_dh_python3:
@@ -49,8 +49,9 @@
 		--recommends-section=cmdline \
 		--recommends-section=comparators \
 
-execute_before_dh_gencontrol:
+override_dh_gencontrol:
 	bin/diffoscope --list-debian-substvars >> debian/diffoscope.substvars
+	dh_gencontrol -O--buildsystem=pybuild
 
 diffoscope/presenters/icon.py: favicon.png
 	(echo '# Generated from $@'; \
@@ -59,7 +60,7 @@
 	 echo '""".replace("\\n", "")'; \
 	) > $@
 
-favicon.png: doc/logo.svg
+favicon.png: logo.svg
 	inkscape -w 32 -h 32 -e $@ $<
 
 override_dh_auto_clean:
@@ -68,7 +69,7 @@
 	@echo "# EDIT debian/tests/control.in INSTEAD!" >> debian/tests/control.tmp
 	@echo "#" >> debian/tests/control.tmp
 	@cat debian/tests/control.in >> debian/tests/control.tmp
-	@sed -i "s#%RECOMMENDS%#$(shell bin/diffoscope --list-debian-substvars | awk -F= '/diffoscope:Recommends/ { print $$2 }')#" debian/tests/control.tmp
+	@sed -i "s#%RECOMMENDS%#$(shell bin/diffoscope --list-debian-substvars | cut -d= -f2)#" debian/tests/control.tmp
 	@sed -i "s#%PYRECOMMENDS%#$(shell python3 -c "import distutils.core; \
 		setup = distutils.core.run_setup('setup.py'); \
 		print(', '.join(sorted(['python3-{}'.format(x) for y in setup.extras_require.values() for x in y])))" \
