## diffoscope 165~bpo10+1

=== debian/changelog ===
diffoscope (165~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Jan 2021 12:41:15 +0100

diffoscope (165) unstable; urgency=medium

  [ Dimitrios Apostolou ]
  * Introduce the --no-acl and --no-xattr arguments [later collapsed to
    --extended-filesystem-attributes] to improve performance.
  * Avoid calling the external stat command.

  [ Chris Lamb ]
  * Collapse --acl and --xattr into --extended-filesystem-attributes to cover
    all of these extended attributes, defaulting the new option to false (ie.
    to not check these very expensive external calls).

  [ Mattia Rizzolo ]
  * Override several lintian warnings regarding prebuilt binaries in the
  * source.
  * Add a pytest.ini file to explicitly use Junit's xunit2 format.
  * Ignore the Python DeprecationWarning message regarding the `imp` module
    deprecation as it comes from a third-party library.
  * debian/rules: filter the content of the d/*.substvars files

 -- Chris Lamb <lamby@debian.org>  Sat, 23 Jan 2021 08:57:13 +0000
