## diffoscope 171

=== debian/changelog ===
diffoscope (171) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Do not list as a "skipping reason" tools that do exist.
  * Drop the "compose" tool from the list of required tools for these tests,
    since it doesn't seem to be required.

 -- Chris Lamb <lamby@debian.org>  Fri, 26 Mar 2021 09:35:37 +0000

diffoscope (170) unstable; urgency=medium

  [ Chris Lamb ]
  * Avoid frequent long lines in RPM header outputs that cause very very slow
    HTML outputs. (Closes: reproducible-builds/diffoscope#245)
  * Fix test_libmix_differences on openSUSE Tumbleweed.
    (Closes: #reproducible-builds/diffoscope#244)
  * Move test_rpm to use the assert_diff utility helper.

  [ Hans-Christoph Steiner ]
  * Add a diffoscope.tools.get_tools() method to support programmatically
    fetching Diffoscope's config.

  [ Roland Clobus ]
  * Become tolerant of malformed Debian .changes files.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Mar 2021 10:30:53 +0000

diffoscope (169) unstable; urgency=medium

  [ Chris Lamb ]
  * Optimisations:
    - Use larger buffer/block sizes when extracting files from libarchive-
      based archives.
    - Use a much-shorter CSS class (instead of "diffponct") to dramatically
      reduce uncompressed HTML output.

  * Logging improvements:
    - Don't emit "Unable to stat file" warning/debug messages; we have
      entirely-artificial directory entries such as ELF sections which, of
      course, never exist as filesystem files.
    - Don't emit a "Returning a FooContainer" logging message - we already emit
      "Instantiating a FooContainer" one and are unlikely to fail in the
      middle.
    - Format the report size logging messages when generating HTML reports.
    - Add the target directory when logging which directory we are extracting
      containers to.

  * Miscellaneous:
    - Ignore "--debug" and similar arguments when creating a (hopefully useful)
      temporary directory.
    - Ensure all internal temporary directories have useful names.
    - Clarify a comment regarding diffoscope not extracting excluded files.

  [ Vagrant Cascadian ]
  * Skip a DEX-related test if the "procyon" tool is unavailable.

 -- Chris Lamb <lamby@debian.org>  Fri, 12 Mar 2021 15:33:54 +0000
